### Signal

# Gtk TextView::select-all

#### Declaration

    void
    select_all (
      GtkTextView self,
      gboolean select,
      gpointer user_data
    )

#### Description [src]

Gets emitted to select or unselect the complete contents of the text view.

The ::select-all signal is a keybinding signal.

The default bindings for this signal are `Ctrl`-`a` and `Ctrl`-`/` for selecting and `Shift`-`Ctrl`-`a` and `Ctrl`-`\` for unselecting.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be emitted directly

#### Parameters

`select` | `gboolean`
| `TRUE` to select, `FALSE` to unselect.